#include "regmap.h"

static inline void __mdelay(void)
{
    writel(REG_SYS(SYS_TIMER_CTRL_3), 0x8042); /* CPU/2 = 100MHz*/
    while(readl(REG_SYS(SYS_TIMER_READ_3)) < 0x18600);
    writel(REG_SYS(SYS_TIMER_CTRL_3), 0x0);
}

void mdelay(int msec)
{
  while(msec--)
    __mdelay();
}
